Subject: RE: The need for smaller protocol specifications

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 19:40:11 -0400

Melinda,

OK.  It is hard to not enter solution space.

PROBLEM: The IETF process to reach PS cannot support time-to-market
requirements.
[The current wording we have is good but this can be sub bullet under it
as direct problem we could try to fix later in the solution space]

PROBLEM: The IETF process to complete specifications puts to many
features in those initial specifications. [This would be sub bullet
again above].

These are problems in the IETF per this mail list.
 
Thanks
/jim

> -----Original Message-----
> From: Melinda Shore [mailto:[email-masked]] 
> Sent: Monday, June 09, 2003 5:46 PM
> To: Bound, Jim
> Cc: [email-masked]
> Subject: Re: The need for smaller protocol specifications 
> 
> 
> > Chairs I have to ask where are you at with the above two bullets if 
> > adopted they clearly require a change and action by the IESG.
> 
> The charter is very specific in excluding defining solutions 
> from the scope of our work.  To the extent that solutions 
> have been discussed here it's been 1) to help frame our 
> understanding of the problems, and 2) to try to figure out 
> what to do about "short-term" problems that can be fixed 
> without the overhead involved with starting up a new working 
> group.  The latter certainly excludes any kind of IESG restructuring.
> 
> Allow me to point out that the more focused we remain on our 
> two documents the more quickly we can get them wrapped up and 
> move on to whatever solutions phase/process/what-have- you 
> we've identified.
> 
> Melinda
>

---

From: Keith Moore <[email-masked]>
Date: Wed, 11 Jun 2003 16:27:33 -0400

> PROBLEM: The IETF process to reach PS cannot support time-to-market

can you defend this statement?  it's not clear to me why this should be 
the case, or at least is seems too vague as written.  what is it about 
either the 2026 criteria for PS or
our current practice that inherently "cannot" support such requirements?

(now it should be clear that it's not always possible to develop a 
standard in time to suit a deployment window - sometimes the market has 
unreasonable demands - but that doesn' t mean that we "cannot" do so in 
general)

> features in those initial specifications.

again - what is it about our process that does this?  I've seen several 
WGs manage to avoid putting features in their initial specifications 
when they could be added later, so as far as I can tell, the IETF 
process has no problems with this.